> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger delayed error (during bank processing)

> Configure a test direct debit mandate to return status = `FAILED` with a set delay, after being submitted to the bank for authorization.

**Authorization**: none

### Testing use-case

**Flow: Direct debit Mandate authorization**

- Hong Kong eDDA only
    

_Note: only tests Mandate authorization/setup, not payments using the Mandate._

**Availability**: any mandate created where the sender account is a "Testbank"

**Scenario: Delayed Mandate authorization error**

- Test case: after Finverse submits the Mandate authorization request to the bank, bank rejects the Mandate setup request after a (configurable) delay. This is helpful to test async unhappy paths.
    
- Result: mandate `status` = FAILED (async, after configurable delay)
    

### Request URL parameters

### Response

**Success**: `HTTP 200` with empty body



## OpenAPI

````yaml /api-reference/openapi.json post /scenario/{mandate_id}
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /scenario/{mandate_id}:
    post:
      summary: Trigger delayed error (during bank processing)
      description: >-
        Configure a test direct debit mandate to return status = `FAILED` with a
        set delay, after being submitted to the bank for authorization.


        **Authorization**: none


        ### Testing use-case


        **Flow: Direct debit Mandate authorization**


        - Hong Kong eDDA only
            

        _Note: only tests Mandate authorization/setup, not payments using the
        Mandate._


        **Availability**: any mandate created where the sender account is a
        "Testbank"


        **Scenario: Delayed Mandate authorization error**


        - Test case: after Finverse submits the Mandate authorization request to
        the bank, bank rejects the Mandate setup request after a (configurable)
        delay. This is helpful to test async unhappy paths.
            
        - Result: mandate `status` = FAILED (async, after configurable delay)
            

        ### Request URL parameters


        ### Response


        **Success**: `HTTP 200` with empty body
      parameters:
        - name: mandate_id
          in: path
          required: true
          schema:
            type: string
        - name: testingType
          in: query
          required: true
          description: ''
          schema:
            type: string
          examples:
            when_submitting_to_bank:
              summary: Trigger immediate error (when submitting to bank)
              value: DBS_ACK1_BACK_OFFICE_ERROR_DTAC05
            i_e_long_bank_processing:
              summary: Trigger delayed success (i.e. long bank processing)
              value: DBS_ACK2_UPDATE_AFTER_60
            during_bank_processing:
              summary: Trigger delayed error (during bank processing)
              value: DBS_ACK2_BACK_OFFICE_DELAYED_ERROR_DTAC05_60
        - name: X-Request-Id
          in: header
          required: false
          description: >-
            String, optional. Customer-provided unique ID for the request
            (useful for debugging purposes)
          schema:
            type: string
          example: '{{$timestamp}}'
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````